View Issue Details

IDProjectCategoryView StatusLast Update
0002251unrealircdpublic2005-02-28 15:42
ReporterGilouAssigned Tosyzop 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.2.3 
Summary0002251: spamfilter u not matching on nick change ?
DescriptionI don't know if that's the kind of thing not being a bug but a feature, but if I add a spamfilter on a given nick!user@host:realname mask, everyone matching is killed (glined, whatever), if anyone matching connects, it works well also, but if I change my nick / realname into something that should match the spamfilter, tada, I'm free !
Steps To Reproduce/nick Giloo

/spamfilter add u kill - Testing_spamfilter_u Giloo!.me@.+\.wanadoo\.fr:Gilles
*** Error: Closing Link: Giloo[blah-XXX.abo.wanadoo.fr] (Testing spamfilter u)
(trying to reconnect)
*** Error: Closing Link: Giloo[blah-XXX.abo.wanadoo.fr] (Testing spamfilter u)

Connected under another nickname :
*** Your nick is now Giloo
Nothing happens.
TagsNo tags attached.
3rd party modules

Activities

Gilou

2004-12-22 22:42

reporter   ~0008660

Product Version is 3.2.2, sorry for that !

syzop

2004-12-22 23:58

administrator   ~0008663

I suppose we could add that. So far, it didn't seem useful, but perhaps one day it will (like if drones change their nick in certain patterns or whatever ;p).

codemastr

2004-12-23 13:02

reporter   ~0008668

[quote](like if drones change their nick in certain patterns or whatever ;p).[/quote]

Don't give them ideas!

syzop

2005-02-28 15:41

administrator   ~0009367

Fixed in CVS [.308].

Issue History

Date Modified Username Field Change
2004-12-22 22:19 Gilou New Issue
2004-12-22 22:42 Gilou Note Added: 0008660
2004-12-22 23:58 syzop Note Added: 0008663
2004-12-22 23:59 syzop Status new => acknowledged
2004-12-23 13:02 codemastr Note Added: 0008668
2005-02-28 15:41 syzop Status acknowledged => resolved
2005-02-28 15:41 syzop Fixed in Version => 3.2.3
2005-02-28 15:41 syzop Resolution open => fixed
2005-02-28 15:41 syzop Assigned To => syzop
2005-02-28 15:41 syzop Note Added: 0009367